#ifndef IST_CAMERA
#define IST_CAMERA

#include "matrix.h"

namespace ist {
namespace gl {

class Camera {
public:
	vector4 position;
	vector4 target;
	vector3 direction;

	Camera();
	void look();
	const matrix44& getMatrix() const { return matrix; }

private:
	matrix44 matrix;
};

} //gl
} //ist

#endif
