#ifndef GL_MATRIX_SAVER
#define GL_MATRIX_SAVER

#include "matrix.h"


namespace ist {
namespace gl {

class MatrixSaver
{
public:

// matrix_typeGL_MODELVIEW_MATRIX, GL_PROJECTION_MATRIX, GL_TEXTURE_MATRIX̂ꂩw
	MatrixSaver(int matrix_type = GL_MODELVIEW_MATRIX);
	~MatrixSaver();

	const matrix44& getMatrix() const { return matrix; }

private:
	int matrix_mode;
	matrix44 matrix;
};


} //gl
} //ist

#endif
