#include "gl_include.h"
#include "gl_screen_matrix.h"


namespace ist {
namespace gl {

ScreenMatrix::ScreenMatrix()
{
	int viewport[4];

	glGetIntegerv(GL_VIEWPORT, viewport);

	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	glOrtho(0,viewport[2], viewport[3],0, -1.0, 50000.0);
	glGetFloatv(GL_PROJECTION_MATRIX, proj_matrix.v);

	glMatrixMode(GL_MODELVIEW);
	glLoadIdentity();
}


} //gl
} //ist

