#ifndef GL_VERTEX_INCLUDE
#define GL_VERTEX_INCLUDE

#include "gl_include.h"
#include "math3d.h"


namespace ist {
namespace gl {


struct VertexT2V3 {
	vector2 texcoord;
	vector3 vertex;

	static int format() { return GL_T2F_V3F; }
	static int size() { return sizeof(VertexT2V3); }
};


struct VertexT2N3V3 {
	vector2 texcoord;
	vector3 normal;
	vector3 vertex;

	static int format() { return GL_T2F_N3F_V3F; }
	static int size() { return sizeof(VertexT2N3V3); }
};


}	// gl
}	// ist



#endif
