#include "../ist_fw.h"

#include <memory>
#include <list>
#include <vector>
#include <utility>
#include <string.h>
using namespace std;




static void parse_commandline(char *commandline, vector<char*> &argv) {
	char *tok=strtok(commandline, " ");
	if(tok==0) return;
	else {
		argv.push_back(tok);
		while(true) {
			char *tok=strtok(0, " ");
			if(tok==0) break;
			else argv.push_back(tok);
		}
	}
}


extern int fw_main(int argc, char *argv[]);

int WINAPI WinMain (
	HINSTANCE hInstance,
	HINSTANCE hPrevInstance,
	PSTR szCmdLine,
	int iCmdShow) {

	ist::fw::hinst = hInstance;

	vector<char*> argv;
	parse_commandline(GetCommandLine(), argv);
	return fw_main(argv.size(), &argv[0]);
}

